Create a job to upload Recontact opportunities by file
POST/demand/accounts/{account_id}/projects/{project_id}/target-groups/{target_group_id}/recontacts/jobs/upload-respondents-by-file
This endpoint creates an asynchronous job to upload Recontact opportunities by file for the specified Target Group. Choose between sending a file with Respondent IDs or Response IDs. The new IDs will be added to the existing ones.
A successful request returns a 201 Created response with a job_id that you can use to track the file processing status.
File Format Rules
- The file must be in
CSVorTXTformat. - The file must not contain a header row.
- Each line in the file must contain a single identifier.
- Only one file can be uploaded per job.
Validation and Capacity Limits
- Total Capacity: The total number of IDs (existing plus new) cannot exceed 100,000.
- File Size: The uploaded file size must be less than 5MB.
Identifier Types
Use the entity_type query parameter to specify the type of identifiers in your file:
RSIDorRESPONDENT_ID— for Respondent IDsRIDorRESPONSE_ID— for Response IDs (these will be internally mapped and saved as Respondent IDs)
Only one recontact job can run at a time per Target Group. If a job is already in Processing status for this Target Group, the API will return a 409 Conflict error.
Estimated execution time: Uploading 10,000 new respondents typically takes between 10 and 15 minutes.
Request
Responses
- 201
- 400
- 401
- 403
- 404
- 409
- 413
- 415
- 500
Returns the newly created job ID for tracking the file upload.
A request is not valid and can't be processed.
A request is unauthorized.
A requested is forbidden.
A requested resource isn't found.
An already existing resource has conflicts with the request.
The request entity was larger than limits defined by the server.
The request content format is not supported.
A request failed due to an internal error.